Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159339 - util-linux updates for new audit system
Summary: util-linux updates for new audit system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-01 18:53 UTC by Steve Grubb
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-669
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 16:53:41 UTC


Attachments (Terms of Use)
patch to add audit enhancements (deleted)
2005-06-17 20:48 UTC, Steve Grubb
no flags Details | Diff
patch to add audit enhancements (deleted)
2005-06-21 18:57 UTC, Steve Grubb
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:669 qe-ready SHIPPED_LIVE util-linux bug fix update 2005-10-05 04:00:00 UTC

Description Steve Grubb 2005-06-01 18:53:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The login & remote pam configurations need to be updated for the new audit system. They need the following line added to both:

session    required     pam_loginuid.so

The Requires line will need to be set for the version of pam that includes the pam_loginuid module.

Also, I will attach a patch for hwclock in a few days.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. new functionality

Additional info:

* the same pam modifications can be made to rawhide. In that case, pam-0.79-6 and later have the loginuid module. We should eventually put the hwclock patch into rawhide as well, but its not as important as getting the loginuid set.

Comment 2 Karel Zak 2005-06-17 09:21:58 UTC
Fixed in FC4 update.

Comment 3 Steve Grubb 2005-06-17 13:08:20 UTC
Just an update. Pam is finalized for RHEL4-U2. This package probably should have:

Requires: pam >= 0.77-66.8

Comment 4 Steve Grubb 2005-06-17 20:48:03 UTC
Created attachment 115638 [details]
patch to add audit enhancements

This is the patch I'm currently testing. It is not final. This is for review so
the extent of changes can be determined.

Comment 5 Steve Grubb 2005-06-21 18:57:01 UTC
Created attachment 115770 [details]
patch to add audit enhancements

Fixes bug in result comparison. Please apply to RHEL-4.

Comment 10 Karel Zak 2005-07-14 13:16:27 UTC
The patch added to util-linux-2.12p-9.7 FC4 testing update.

Comment 14 Red Hat Bugzilla 2005-10-05 16:53:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-669.html



Note You need to log in before you can comment on or make changes to this bug.